---
title: "Historical contract: Verify Code (GET /codes/verify)"
description: "Historical Ordering.co API contract for GET /codes/verify (Verify Code), kept for reference. Use the current API reference for new integrations."
canonical: https://docs.ordering.co/api-reference/guides/history/generate-code-2/
---

# Historical contract: Verify Code

[]()

> **Historical API contract.** This page describes an earlier API contract. Methods, paths, and responses may differ from the current API.

## Historical meaning

Verify Code

This API endpoint is use to Verify a code

## Current API

For new integrations, use the linked current API reference or guide.

[View the current API reference](https://docs.ordering.co/api-reference/#tag/codes/GET/codes/verify)

## Parameters

```json
[
  {
    "name": "api_version",
    "in": "path",
    "schema": {
      "type": "string",
      "default": "v400"
    },
    "required": true
  },
  {
    "name": "language",
    "in": "path",
    "schema": {
      "type": "string",
      "default": "en"
    },
    "required": true
  },
  {
    "name": "project",
    "in": "path",
    "schema": {
      "type": "string",
      "default": "<redacted-personal>"
    },
    "required": true
  },
  {
    "name": "type",
    "in": "query",
    "required": true,
    "schema": {
      "type": "integer",
      "format": "int32"
    }
  },
  {
    "name": "channel",
    "in": "query",
    "required": true,
    "schema": {
      "type": "integer",
      "format": "int32"
    }
  },
  {
    "name": "code",
    "in": "query",
    "schema": {
      "type": "string"
    }
  },
  {
    "name": "send_data",
    "in": "query",
    "schema": {
      "properties": {},
      "type": "object"
    }
  },
  {
    "name": "email",
    "in": "query",
    "schema": {
      "type": "string"
    }
  },
  {
    "name": "cellphone",
    "in": "query",
    "schema": {
      "type": "string"
    }
  },
  {
    "name": "country_phone_code",
    "in": "query",
    "schema": {
      "type": "integer",
      "format": "int32"
    }
  },
  {
    "name": "to",
    "in": "query",
    "schema": {
      "type": "string"
    }
  }
]
```

## Request body

```json
null
```

## Responses

```json
{
  "200": {
    "description": "200",
    "content": {
      "application/json": {
        "examples": {
          "Result": {
            "value": "{}"
          }
        },
        "schema": {
          "type": "object",
          "properties": {}
        }
      }
    }
  },
  "400": {
    "description": "400",
    "content": {
      "application/json": {
        "examples": {
          "Result": {
            "value": "{}"
          }
        },
        "schema": {
          "type": "object",
          "properties": {}
        }
      }
    }
  }
}
```
